@use '../../../../styles/helpers/breakpoints';

:host {
  display: flex;
  flex-direction: column;
  row-gap: 1rem;
  margin: 0 1rem;
}

.settings-search-bar {
  width: 100%;
}

.settings {
  display: grid;
  column-gap: 0.5rem;
  margin-top: 1rem;

  grid-template-columns: 1fr;
  @include breakpoints.sm {
    grid-template-columns: 225px minmax(200px, 1fr);
  }

  &__list {
    padding: 1rem 1rem;
  }

  @include breakpoints.sm {
    &__list {
      padding: 1rem 2rem;
    }
  }
}

.empty-placeholder {
  display: flex;
  justify-content: center;
  align-items: center;

  height: 100%;
}
